function p.get_is_solid() return true end

function p.get_tex() return "block_room" end

function p.main()
    set_default_block("r_room")
    
    create_rect("e", 1,1,1, 14,14,14)
    create_rect("e", 6,0,6, 8,0,8) --Door.
    create_rect("e", 6,15,6, 8,15,8) --Door.
    
    --Example tubes.
    std.create_tube(3, "z", "s")
    std.create_half_tube(1, "x_pos", "s")

    local msg_str = "The function "
        .. "^x00ff00std.create_tube^!(n, axis, block_type_str) "
        .. "creates a tube of diameter n with the given axis. "
        .. "Axis can be \"x\", \"y\", or \"z\"."
    add_bent_s(4,7,7,"bent_base_txt",msg_str)

    msg_str = "The function "
        .. "^x00ff00std.create_half_tube^!(n, dir, block_type_str) "
        .. "creates a tube of diameter n in the direction dir. "
        .. "The value dir can be \"x_pos\", \"x_neg\", "
        .. "\"y_pos\", \"y_neg\", \"z_pos\", \"z_neg\"."
    add_bent_s(4,7,5,"bent_base_txt",msg_str)
end
